Subject: Updating BCP 10 -- NomCom

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 7 Jan 2015 09:03:07 -0800

Colleagues,

RFC7437 has been published, which is now the consolidated version of BCP 10
with no changes made.  Thanks to those of you who provided reviews and
input to make sure I got it right.

As promised, I've now published draft-kucherawy-rfc7437bis which is the
opportunity for the community to begin suggesting revisions to the NomCom
processes and definitions.

This first version is basically RFC7437 verbatim, except with the stuff
about previous versions and the consolidation effort removed or otherwise
cleaned up.  It's there so we can track its evolution relative to the
present BCP 10 as it evolves.

The first change I'd like to propose is that the IAOC Liaison to the NomCom
be codified.  It's currently only an unwritten common practice.

Have at it!

-MSK

---

From: Jari Arkko <[email-masked]>
Date: Thu, 8 Jan 2015 10:56:29 +0200

Thank you.

> The first change I'd like to propose is that the IAOC Liaison to the NomCom be codified.  It's currently only an unwritten common practice.

Agreed.

Jari

---

From: John C Klensin <[email-masked]>
Date: Thu, 08 Jan 2015 10:59:36 -0500

--On Wednesday, January 07, 2015 09:03 -0800 "Murray S.
Kucherawy" <[email-masked]> wrote:

> The first change I'd like to propose is that the IAOC Liaison
> to the NomCom be codified.  It's currently only an unwritten
> common practice.

I think that is fine.  However, while I continue to be generally
opposed to firm rules, I think the whole role of the liaisons
needs work.  Because of the potential for damaging existing
working relationships, the presence of the liaisons (or
particular people in liaison roles) may have chilling effects on
whether the Nomcom gets input and how candid that input actually
is. In addition, liaisons might well be assumed to be biased in
favor of retaining a status quo that works for them.  Some
assurances to the community that, e.g., liaisons were expected
to answer questions and provide general advice about roles but
that they would be at least as isolated from input about, and
internal Nomcom discussion of, specific candidates as ordinary
participants in the IETF might, in that regard, be both helpful
to a Nomcom trying to solicit input and to general impressions
about the integrity of the process.

    john

---

From: Eric Burger <[email-masked]>
Date: Thu, 8 Jan 2015 11:08:22 -0500

> On Jan 8, 2015, at 10:59 AM, John C Klensin <[email-masked]> wrote:

I would offer that one person’s “biased in favor of retaining a status quo that works for them” is another person’s "Liaisons are expected to represent the views of their respective organizations during the deliberations of the committee.  They should provide information as requested or when they believe it would be helpful to the committee.” [RFC 7437 Section 4.7]

If the problem is a person, we know how to deal with that. Likewise, no matter how legalistic we become, a person with an agenda will have an agenda.

---

From: John C Klensin <[email-masked]>
Date: Thu, 08 Jan 2015 11:32:29 -0500

--On Thursday, January 08, 2015 11:08 -0500 Eric Burger
<[email-masked]> wrote:

>> On Jan 8, 2015, at 10:59 AM, John C Klensin
>....
>> I think that is fine.  However, while I continue to be
>> generally opposed to firm rules, I think the whole role of
>> the liaisons needs work.  Because of the potential for
>> damaging existing working relationships, the presence of the
>> liaisons (or particular people in liaison roles) may have
>> chilling effects on whether the Nomcom gets input and how
>> candid that input actually is. In addition, liaisons might
>> well be assumed to be biased in favor of retaining a status
>> quo that works for them.  Some assurances to the community
>> that, e.g., liaisons were expected to answer questions and
>> provide general advice about roles but that they would be at
>> least as isolated from input about, and internal Nomcom
>> discussion of, specific candidates as ordinary participants
>> in the IETF might, in that regard, be both helpful to a
>> Nomcom trying to solicit input and to general impressions

> I would offer that one person's "biased in favor of
> retaining a status quo that works for them" is another
> person's "Liaisons are expected to represent the views of
> their respective organizations during the deliberations of the
> committee.  They should provide information as requested or
> when they believe it would be helpful to the committee."
> [RFC 7437 Section 4.7]

Understood, no disagreement, and I believe that current language
may be adequate for that area.   Certainly trying to make rules
that would cut things more finely would be problematic at best.

My issue with the current situation lies in language like
"during the deliberations of the committee" in the passage you
cite.  If that refers to liaisons being present and able to
comment during deliberations about particular candidates (and I
understand it has at least sometimes been interpreted that way),
then there is at some risk of chilling effects or inappropriate
influences, even with the best of intentions.  In that regard, I
am more concerned about input the Nomcom doesn't get because
someone is concerned about damaging an existing relationship or
because of a sense that, with the Nomcom receiving regular input
from, and participating in deliberations with, particular
liaisons, the time required to prepare and submit careful input
would be wasted.

> If the problem is a person, we know how to deal with that.

I actually disagree with that.  We've modified the recall
procedure to the point that it is unusable for dealing with
anything but, possible, the more obvious and blatant of abuses.
Once the boundaries are set for a given year, a Nomcom can eject
or significantly constrain an individual only if it noticed the
problem and someone seeking to influence outcomes could easily
be good enough at his work to make that less than obvious.  Even
if it were obvious, the Nomcom would have to choose between
spending time on candidate evaluations (and keeping to the
schedule) and spending time restructuring its rules... I know
how I would expect that choice to me made most of the time.  We
have, in this area and others, lots of gross tools that require
great effort to utilize and that have significant side-effects
if used, but few ones to force a subtle correction for someone
who has gotten a little off course but who is not inclined to
self-correct.

> Likewise, no matter how legalistic we become, a person with an
> agenda will have an agenda.

Unquestionably.  And, again, I don't want to see us attempt
fine-grained rules in this area, only discussion and better
calibration of community expectations than, e.g., the second you
cite above provides.

For example and in the hope of being a bit less vague, I
personally see no need for liaisons to sit in on candidate
interviews, to see supposedly-confidential candidate
questionnaires, to see community input about particular
candidates, or to participate in Nomcom discussions or be
exposed to correspondence about particular candidates or
candidate choice rankings.  And I see some disadvantages to the
quality and breadth of input the Nomcom is likely to receive to
their doing so. Do you disagree?

best,
    john

     john

---

From: Eric Burger <[email-masked]>
Date: Thu, 8 Jan 2015 12:26:29 -0500

> On Jan 8, 2015, at 11:32 AM, John C Klensin <[email-masked]> wrote:
> 

As serving on nomcom in a liaison role in the past, I have to *agree* with you 1,000%. The liaisons should have a voice in the needs of their respective home groups, but should not be deciding who nomcom serves up. That means they do not have a burning need to be in the weeds of per-candidate nomcom stuff.

---

From: Michael StJohns <[email-masked]>
Date: Thu, 08 Jan 2015 13:55:04 -0500

>their doing so. Do you disagree?

Hi John -

Speaking only to the above, during the Nomcom I ran, I found it useful to pair up the interviewers and used every resource available.  That meant that liaisons participated in the process of asking questions and fleshing out the material we had already gathered from the questionnaires.   We always gave the candidates the option to ask for other interviewers, but AIRC, no one did.

99% of the information on the questionnaire is going to be publicly sourceable I would guess, most of the rest of the information that might be confidential is ephemeral (e.g. candidate A is in the process of looking for a job).

Of course at the time, the actual names of the candidates were seen as confidential.

AFAIK, it's the job of the Chair to prevent Liaisons from exerting undue influence on the process, and I understand that there have been issues in the past where the influence went past the bounds.  That said, the liaisons are likely to have more and relevant information on more of the candidates than the 10 people picked at random from the IETF as a whole.  Failure to use that resource would - IMHO - result in a worst result, not a better one.  Community input is all fine and good, but it has the same bias problems that you get with self-selected surveys.

That is a long way of saying, that yes I disagree.

Later, Mike

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 09 Jan 2015 08:16:20 +1300

> As serving on nomcom in a liaison role in the past, I have to *agree* with you 1,000%. The liaisons should have a voice in the needs of their respective home groups, but should not be deciding who…

My only Nomcom experience is also as ISOC liaison, some years ago now, and
I certainly agree that guidance about the limits on a liaison's role would
be of value. However, there's also a practical aspect: if only certain
information and certain parts of the discussions are open to the liaisons,
there will be very clumsy discussions where a point has to be put on hold
until the relevant liaison can be consulted.

Just to test where people think the limit should be, here's a hypothetical.
The Nomcom has got feedback that nominee X has been consistently obstructive
in resolving disputes and is always unwilling to compromise. Nomcom
doesn't know whether this is valid. Should the liaison be asked to comment?

BTW there is another aspect of the liaison role: acting as part of the
checks and balances, by being able to assure the confirming bodies that
Nomcom has followed correct and unbiased procedure. To that extent,
liaisons do need to witness discussions, without influencing them.
http://tools.ietf.org/html/rfc7437#section-4.7 actually places several
specific duties on liaisons that effectively require them to track
Nomcom discussion quite closely.

   Brian

---

From: Eric Burger <[email-masked]>
Date: Thu, 8 Jan 2015 14:19:59 -0500

> On Jan 8, 2015, at 2:16 PM, Brian E Carpenter <[email-masked]> wrote:
[…]
> doesn't know whether this is valid. Should the liaison be asked to comment?

Here is a hypothetical that gives the answer. The nomcom has got feedback that nominee X has been consistently obstructive in resolving disputes and is always unwilling to compromise. Nomcom doesn't know whether this is valid. Should <change>nomcom ask people in the community</change> to comment?

My answer is Yes. As the liaison is part of the community, there is no reason not to ask the liaison to comment,

> Nomcom discussion quite closely.

Being around for discussions is quite different than digging into the deep, dark backgrounds of candidates or doing the work of the nomcom (doing or being at interviews, etc.). I believe that was the original question.

---

From: Russ Housley <[email-masked]>
Date: Thu, 8 Jan 2015 14:34:13 -0500

For several years now, the IESG and IAB have given their liaisons careful instructions.  Each year, those instructions are reviewed with feedback from the previous year liaison.  In my opinion, this is the right place for the annual review of the instructions.  However, I do think that there can be a bit more guidance in BCP 10 that applies to all of the liaisons.  I have a few thoughts:

1.  The liaison is expected to act in the best interest of the IETF.

2.  During NomCom calls and meetings, the liaison is expected to represent the views of the leadership body rather than personal opinion.

3.  The liaison may provide personal feedback to NomCom, but they should only do so using communication channels available to all IETF participants.

To me, these are consistent with the language that is already present in RFC 3777:

     Liaisons are expected to represent the views of their respective
     organizations during the deliberations of the committee.  They
     should provide information as requested or when they believe it
     would be helpful to the committee.

Russ

---

From: Bob Hinden <[email-masked]>
Date: Thu, 8 Jan 2015 14:30:22 -0800

The IAOC and ISOC Board have given their liaisons similar instructions.  

Bob

> On Jan 8, 2015, at 11:34 AM, Russ Housley <[email-masked]> wrote:
>

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 09 Jan 2015 13:36:24 +1300

>>     would be helpful to the committee.

That's all good. However, I think the Nomcom (Chair) needs some guidance,
even if it's a very general statement that the liaisons should have
sufficient access to Nomcom materials and discussions so as to execute
all their duties under http://tools.ietf.org/html/rfc7437#section-4.7 .

After all, the only restriction placed on liaisons is a single line:
"Liaisons do not vote on the selection of candidates."

   Brian

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Thu, 8 Jan 2015 16:40:23 -0800

> "Liaisons do not vote on the selection of candidates."

Does one of you some text changes in mind covering this issue, or shall I
take a run at it?

-MSK

---

From: Michael Richardson <[email-masked]>
Date: Fri, 09 Jan 2015 13:14:42 -0500

John C Klensin <[email-masked]> wrote:
    > refers to liaisons being present and able to comment during
    > deliberations about particular candidates (and I understand it has at
    > least sometimes been interpreted that way), then there is at some risk
    > of chilling effects or inappropriate influences, even with the best of
    > intentions.  In that regard, I am more concerned about input the Nomcom
    > doesn't get because someone is concerned about damaging an existing

In the past 3 nomcoms that I've been involved with, the nomcom has felt the
opposite.  That the Liason has (probably appropriately) refused to comment
when the nomcom really does want to know more about what happened during the
XYZ-fiasco, etc.

-- 
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Michael Richardson <[email-masked]>
Date: Fri, 09 Jan 2015 13:17:04 -0500

Eric Burger <[email-masked]> wrote:
    > Here is a hypothetical that gives the answer. The nomcom has got
    > feedback that nominee X has been consistently obstructive in resolving
    > disputes and is always unwilling to compromise. Nomcom doesn't know
    > whether this is valid. Should <change>nomcom ask people in the
    > community</change> to comment?

    > My answer is Yes. As the liaison is part of the community, there is no
    > reason not to ask the liaison to comment,

And my experience is that the liason often does go to the datatracker, outside of the
call, and provides the same kind of feedback as anyone else.

---

From: Michael Richardson <[email-masked]>
Date: Fri, 09 Jan 2015 13:20:27 -0500

Michael StJohns <[email-masked]> wrote:
    >> For example and in the hope of being a bit less vague, I personally
    >> see no need for liaisons to sit in on candidate interviews, to see
    >> supposedly-confidential candidate questionnaires, to see community
    >> input about particular candidates, or to participate in Nomcom
    >> discussions or be exposed to correspondence about particular
    >> candidates or candidate choice rankings.  And I see some disadvantages
    >> to the quality and breadth of input the Nomcom is likely to receive to

    > Speaking only to the above, during the Nomcom I ran, I found it useful
    > to pair up the interviewers and used every resource available.  That

I did the same thing (as did Allison and Matt), and had the same problem
getting enough interviewer resources.  Had I not had the liasons, a number of
interviews might not have been possible.

I want to emphasize that I never planned to have the liason lead or take
notes from an interview; but during nomcom discussion there might have been
one or two times when the liason had a memory that helped clarify or put into
better context what was said.

---

From: Michael Richardson <[email-masked]>
Date: Fri, 09 Jan 2015 13:34:24 -0500

1) I suggest the words "voting volunteer" be changed to "selecting volunteer"
   as there are votes, such as when to have the next meeting, which all
   members of the committee should participate in, and the words "non-voting
   member" have been mis-understood.

2) several of us suggest that the Chair for year X, be appointed prior to the
   the beginning of the Third IETF of year X-1.  This permits the
   chair-elect/future-chair, to participate and learn about the process prior
   to starting.  While this adds about 4 months to the duration of the chair
   duties, it probably reduces their stress sufficiently that they will live
   an extra year longer.

3) while the voting proceedures have been left up to the nomcom to agree on;
   it might be worth making it clear how and if the voting proceedure is
   agreed to, and if it can be amended.

4) Quorum says:
   > Only voting volunteers vote on a candidate selection.  For a
   > candidate selection vote, a quorum is comprised of at least seven of
   > the voting volunteers.

   If a voting member is recalled, it would be nice if the quorum became
   six. It is also unclear if a voting volunteer refuses to cast a ballot,
   how things are to be counted.

5) recall says:

   >Regardless of the circumstances, if individual committee members can
   >not work out their differences between themselves, the entire
   >committee may be called upon to discuss and review the circumstances.
   >If a resolution is not forthcoming, a vote may be conducted.  A
   >member may be recalled if at least a quorum of all committee members
   >agree, including the vote of the member being recalled.

it would be nice to know if the "entire committee" includes liasons here.
I think that it does, and some have agreed in the past.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Allison Mankin <[email-masked]>
Date: Fri, 9 Jan 2015 13:40:30 -0500

Some updates I'd like to see from my Nomcom 2013 Chair experience:

1. Improved transition for Chairs - my thought is to add a Future Chair
early so that she or he can observe.  Right now we've been tending mainly
to select as Chairs people who were recently Nomcom members.  My tenure was
an exception, and won't be the only one of these, and I found it tough to
get all the information and problem-solving skills, even with great help
from my Past Chair. I think even Chairs who've been recent members find we
have tough problems, made tougher by being in our bubble of
confidentiality.  More training time can only help.

2. During my tenure we had to invoke the thoughtful BCP 10 allowance to
operate with 9 members rather than 10, because one of our members became
permanently unavailable.  We had some risk of losing another late in the
game as well, and I think this is always a risk. Therefore I'd like to see
the addition of one warm spare,  selected during the random draw, who joins
meetings, observes, conceivably helps with interviewing, and is available
quickly to participate if there is a loss of a voting member.  The risk
isn't from losing one, again, that is covered, but people turn out to have
enough exigencies that the risk of losing two is non-trivial.

3. A bit fuzzier, but I think important, would be to include some guiding
language for Nomcoms about their task as hiring managers recruiting and
selecting leadership for the IETF.  I found it very important to advise my
Nomcom to use "slow thinking"  (in Kahneman's sense) and make sure to
really digest the resumes, questionnaires and feedback, because the pace of
the Nomcom and human nature tend to result in "fast" or intuitive dismissal
of some really good candidates based on e.g. their having less fame.
Similarly, without constraining the exact procedures, it is important to
explicitly find ways to make interviews consistent across candidates and to
have enough of a panel of interviewers.  The pace and stress of scheduling
interviews means it's important to put these goals front and center,
because they are actually quite challenging to accomplish.

I can propose some text for these.

Allison

On 7 January 2015 at 12:03, Murray S. Kucherawy <[email-masked]> wrote:

> Colleagues,
>
> RFC7437 has been published, which is now the consolidated version of BCP
> 10 with no changes made.  Thanks to those of you who provided reviews and
> The first change I'd like to propose is that the IAOC Liaison to the
> NomCom be codified.  It's currently only an unwritten common practice.
>
> Have at it!
>
> -MSK
>

---

From: Michael StJohns <[email-masked]>
Date: Fri, 09 Jan 2015 13:49:23 -0500

>   duties, it probably reduces their stress sufficiently that they will live

It used to be usual that  the Chair for year X was a member of Nomcom X-1.  Doing a quick review I see that there are a number of recent (last 10 or so) years where that isn't the case.

It may be time to try and add that back into the chair selection criteria with increased emphasis.

It may also be time to add "MUST have been a nomcom member in the last 4 years" to that selection criteria.

I wouldn't do the overlap - the role of the "future chair" would need to be that of a mute fly on the wall to keep from perturbing the process.  Kind of boring IMHO.

Mike

---

From: Michael StJohns <[email-masked]>
Date: Fri, 09 Jan 2015 14:01:21 -0500

>   how things are to be counted.

Why?  With a quorum of 6, you still need 4 (a majority) to nominate a candidate, the same number as if the quorum were 7.  And with 1 member recalled, you still have a group of 9 - which reduces the number of yes votes needed to 5 if everyone shows up.

Hmm.

Instead - "The chair shall establish a date and time to complete a vote on a specific candidate.  A candidate is selected if 6 voting members vote yes or no objection and at least three members vote yes by expiration of that date and time, otherwise the candidate is rejected."   Requiring a quorum actually makes no sense these days given email and other electronic meeting tools.

---

From: Michael Richardson <[email-masked]>
Date: Fri, 09 Jan 2015 14:03:36 -0500

I would like to change the nomcom eligibility criteria.
SM has proposed some things awhile ago in:
        draft-moonesamy-nomcom-eligibility-01

kept the current rules of 3/5, but added options where
the "3rd" meeting could really be in the form either having
been to a lot of meetings, or having used day-passes..

I don't think SM's proposal does the right thing.
My concern is primarily about people who enter our culture,
and then for some reason are unable to travel. (Could be health,
could be inability to get VISAs, could be funding, could be children) 

So I would keep the 3/5 in-person meetings to *become* nomcom 
eligible.  

Once eligible, the rules for remaining eligible would be different.
I would propose something like having *contributed* to at least two
meetings in the past four.  We could come up with complex or simple
rules on what it means to contribute, we could automated it, and
we can discuss all the ways that various rules could be gamed.
My ideas for contribution would include:
  0) attend the meeting in person.
  1) be a document shepherd or working group chair on a document
     that entered AUTH48.
  2) be the document uploader (pressed submit) on a document that
     was scheduled into a WG session. (A document authors that has
     never been to a meeting would never have become eligible. If
     document authors want to rotate who submits, that actually
     seems like a good idea if it keeps their hand in, as I've had to almost
     stalk some co-authors during AUTH48 who seem to have fallen off the
     planet) 
  3) opened a ticket on a document that was scheduled into a WG session.
  4) scribed for the I* telechats.

Note that I have avoided counting "remote attendance" activities
specifically, because that would require us to figure out who attended
and register them, etc. and I don't think we are ready for that yet.

---

From: Allison Mankin <[email-masked]>
Date: Fri, 9 Jan 2015 14:05:17 -0500

Mike,

I don't agree with constraining Chairs to past Nomcom voting members.  I
think that our voting members have great abilities and insights, but I'd
like for the ISOC CEO to have a bigger pool of possible choices, because
organizing and executing all the steps of the Nomcom process is extremely
demanding and many people either don't feel they could do it, or can't get
management support for giving so much time and effort.

A future chair can make up the numbers as an observer in interviews.  I'm
sure the past chair sometimes feels a bit disengaged too, after having had
so much work to do, but this isn't a show-stopper.

Allison

On 9 January 2015 at 13:49, Michael StJohns <[email-masked]> wrote:

> It used to be usual that  the Chair for year X was a member of Nomcom
> X-1.  Doing a quick review I see that there are a number of recent (last 10
> or so) years where that isn't the case.
>
> I wouldn't do the overlap - the role of the "future chair" would need to
> be that of a mute fly on the wall to keep from perturbing the process.
> Kind of boring IMHO.
>
> Mike
>
>
>

---

From: Stewart Bryant <[email-masked]>
Date: Fri, 09 Jan 2015 19:10:27 +0000

On 09/01/2015 19:05, Allison Mankin wrote:
> Mike,
>
> I don't agree with constraining Chairs to past Nomcom voting members.  
> I think that our voting members have great abilities and insights, but 
> I'd like for the ISOC CEO to have a bigger pool of possible choices, 
> because organizing and executing all the steps of the Nomcom process 
> is extremely demanding and many people either don't feel they could do 
> it, or can't get management support for giving so much time and effort.
+1

Stewart

---

From: Michael Richardson <[email-masked]>
Date: Fri, 09 Jan 2015 14:17:33 -0500

Allison Mankin <[email-masked]> wrote:
    > early so that she or he can observe.  Right now we've been tending
    > mainly to select as Chairs people who were recently Nomcom members.  My

Oh, yes, we almost forgot: we need a turn-over ceremony at the "Second meeting"
(probably should be the Admin plenary), when the new nomcom is now *CLEARLY*
responsible for any open positions.

This is also when the past nomcom-chair and committee members can completely
and irrevocably destroy any private keys and notes they might have kept,
and the secretariat can remove any email aliases that might be around and
might get autocompleted.

I don't know if this needs to go into 7437, but it needs to written down.

    > operate with 9 members rather than 10, because one of our members
    > became permanently unavailable.  We had some risk of losing another
    > late in the game as well, and I think this is always a risk. Therefore
    > I'd like to see the addition of one warm spare, selected during the
    > random draw, who joins meetings, observes, conceivably helps with
    > interviewing, and is available quickly to participate if there is a

We discussed drawing the name, but I didn't know you anticipating them
joining too...  I'm thinking about this.

    > 3. A bit fuzzier, but I think important, would be to include some
...
    > I can propose some text for these.

good.  I think you massively improved this part, and I found it challenging
to live up to the example you set.

---

From: Stephen Farrell <[email-masked]>
Date: Fri, 09 Jan 2015 19:26:09 +0000

> Once eligible, the rules for remaining eligible would be

I like that.

Given that remote participation is likely to continue changing
and hopefully improving in the coming years, if we do go down
this road I think it'd be good to figure some way to allow the
rules for continued eligibility to be changed without having
to update the BCP. That could be a task given to the IESG or
someone other I* group or the current nomcom could set the rule
for the next. I don't care which of those, but maybe the last
would be best, as nomcom members may know best what's needed,
(though some form of appeal against a nomcom getting themselves
all back next year would be needed:-)

Also, if we go there then I'd prefer that we apply that new
rule retrospectively as well so folks who were ever nomcom
eligible could "re-establish" that via participation any time.
(Unless that caused some tooling problem in checking
eligibility after someone volunteers.)

S.

---

From: Allison Mankin <[email-masked]>
Date: Fri, 9 Jan 2015 14:26:59 -0500

> and the secretariat can remove any email aliases that might be around and

​​

> I don't know if this needs to go into 7437, but it needs to written down.
​Agreed and I think at least some of it should be in the BCP - it's part of
the workflow.
​

> joining too...  I'm thinking about this.

I hadn't thought about them not joining :-) They could be a cold spare,
that'd serve too.
In either case, just drawing the person wouldn't be enough - that spare
person would have
to be publicly announced and verified by the various folks who check and
verify the random process.

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 10 Jan 2015 08:28:41 +1300

> call, and provides the same kind of feedback as anyone else.

I would hope so. I think the problem area is more where the Nomcom
is trying to understand details of group interaction when a possibly
unfair negative comment has been made. If that is not something where
we expect the liaisons to be a source of input, that probably needs to
be made clear. As I said, currently the only prohibition on liaisons
is the one sentence about not voting on candidates. If there are to
be other restrictions, they should be written down IMHO.

   Brian

---

From: Stewart Bryant <[email-masked]>
Date: Fri, 09 Jan 2015 19:55:27 +0000

We would have to be careful with the time constants
of the filter.

Whilst I can see that virtual attendance (which itself
would need a criteria beyond my robot
logging me onto the sessions) should slow the
eligibility decay but should not eliminate it.

Some degree of physical presence is needed to
properly understand the roles of those being selected
and the culture and operation of an important
part of the IETF.

Stewart

---

From: Michael StJohns <[email-masked]>
Date: Fri, 09 Jan 2015 15:48:54 -0500

At 02:05 PM 1/9/2015, Allison Mankin wrote:
>Mike,
>
>I don't agree with constraining Chairs to past Nomcom voting members.Â  I think that our voting members have great abilities and insights, but I'd like for the ISOC CEO to have a bigger pool of possible choices, because organizing and executing all the steps of the Nomcom process is extremely demanding and many people either don't feel they could do it, or can't get management support for giving so much time and effort. Â 
>
>A future chair can make up the numbers as an observer in interviews.Â  I'm sure the past chair sometimes feels a bit disengaged too, after having had so much work to do, but this isn't a show-stopper.

Here's the problem I see - you're proposing that the future chair take his position at the Third IETF.  That's actually about 8 months additional, not four as you suggested (Third IETF to Second IETF is about 8 months).   Doing it then gives the current members of the Nomcom insufficient time to get their feet under them so that selection of one of the current members as Future chair becomes much less probable.  And that would be a *bad thing* IMHO.

Selecting a future chair from the past 40 or so nomcom members gives you a reasonable pool.  It's unclear you can do the job as well as it can be done without experience in being a member.

Alternately, have the ISOC chair appoint the future chair and have the future chair be a voting member.  Or a voting member that only votes to break ties.  It might actually be useful to have one consciously selected voting member rather than all being selected by lot.  And it will give the Future Chair the experience he/she needs to run the next nomcom.

 That means that the chair terms will mostly be 3 years (Future, Chair, Past Chair).   That's a lot of commitment.

Of course, then you have to come up with a set of rules for what happens when the Future Chair can't actually serve as Chair.

Later, Mike

>Allison
>
>
>
>On 9 January 2015 at 13:49, Michael StJohns <<mailto:[email-masked]>[email-masked]> wrote:
>>Â  Â the beginning of the Third IETF of year X-1.Â  This permits the
>>Â  Â chair-elect/future-chair, to participate and learn about the process prior
>>Â  Â to starting.Â  While this adds about 4 months to the duration of the chair
>>Â  Â duties, it probably reduces their stress sufficiently that they will live
>>Â  Â an extra year longer.
>
>It used to be usual thatÂ  the Chair for year X was a member of Nomcom X-1.Â  Doing a quick review I see that there are a number of recent (last 10 or so) years where that isn't the case.
>
>I wouldn't do the overlap - the role of the "future chair" would need to be that of a mute fly on the wall to keep from perturbing the process.Â  Kind of boring IMHO.
>
>Mike
>
>

---

From: John C Klensin <[email-masked]>
Date: Fri, 09 Jan 2015 16:45:12 -0500

--On Friday, January 09, 2015 08:16 +1300 Brian E Carpenter
<[email-masked]> wrote:

>> As serving on nomcom in a liaison role in the past, I have to
>> *agree* with you 1,000%. The liaisons should have a voice in
>> the needs of their respective home groups, but should not be
>> deciding who nomcom serves up. That means they do not have a
>> burning need to be in the weeds of per-candidate nomcom stuff.
> 
> My only Nomcom experience is also as ISOC liaison, some years
> ago now, and I certainly agree that guidance about the limits
> on a liaison's role would be of value. However, there's also a
> practical aspect: if only certain information and certain
> parts of the discussions are open to the liaisons, there will
> be very clumsy discussions where a point has to be put on hold

We seem to now be having two separate discussions that are
getting confusingly (at least to me) intermixed.  One has to do
with instructions the liaising bodies give their liaisons and
what sorts of comments the liaisons are expected to make.   I
had every reason to believe that was under control when I first
commented in this thread.  Russ's note and comments from others
have reinforced that impression.

I'm not even concerned about liaisons exerting undue or
inappropriate influence.  As Mike StJohns more or less pointed
out, if the Nomcom Chair cannot control any tendencies in that
direction, we probably have much more serious problems.
Similarly, and borrowing further from him, I'm not wild about
liaisons participating in _candidate_ interviews, but not
particularly concerned about it either, especially if a
candidate can ask for another interviewer.

All of the about are related, in one way or another, to
information flow _to_ the Nomcom, _from_ the liaison.

I'm concerned about information flow in the other direction.  It
has to do with, e.g., liaison participation in actual
discussions of individual candidates, particularly in ways that
would expose them to community comments about those candidates
and information about (or that might permit the identification
of) those who made them.  My instinct -- driven by several
recent discussions and observations-- is that it is in the
interest of the community and high-quality Nomcom
decision-making to isolate the liaisons from community comments
on candidates on the same basis and to the same degree that
random members of the community are isolated.  

To illustrate with two extreme scenarios, if I were a relatively
junior member of the community, I might be quite concerned about
criticizing some individuals, especially incumbents, because of
fear of retaliation from that individual or their cronies.
Whatever concerns I might have would be reinforced if I knew
that one of the colleagues of those incumbents was going to be
reading my comments, would know who originated them, and might
react in ways I would find uncomfortable.  If I were a more
senior member, similar considerations would apply, especially if
what I wanted to tell the Nomcom was that the Ixx[x] was
<negative-expletive> and that I considered the candidate a major
part of the problem.  If the Nomcom has gotten more positive
feedback and wants to check things out, they should --I'd argue
that they would be falling down on the job if they didn't do so.
On the other hand, I don't think the liaison should have any
special access to express such an opinion nor be in a position
to volunteer any opinion about the quality of my advice because
he or she had seen my comments.

Against that background, I think the answers to your
hypothetical scenario is fairly obvious, but...
 
> Just to test where people think the limit should be, here's a
> hypothetical. The Nomcom has got feedback that nominee X has
> been consistently obstructive in resolving disputes and is
> always unwilling to compromise. Nomcom doesn't know whether
> this is valid. Should the liaison be asked to comment?

I think that, if the Nomcom needs validity data of that sort,
they should reach out -- to the chair of the relevant body if he
or she is not a candidate and maybe even if they are, to
selected people who have served with the candidate, and others
as appropriate.  I note that, as bodies become more open about
their deliberations (as the IESG has clearly been recently), the
range of people who might reasonably be asked expands.  They can
do so without compromising confidentiality: "we have heard that
X might have been obstructive" or "we are concerned whether Y's
obvious personality quirks might be a source of problems" do not
appear me to do so in any way.  Is is reasonable to ask the
liaison because the liaison is a member of the relevant group
who might have insights?  Sure.   Is it appropriate to ask the
liaison for a formal opinion _as liaison_ and give the answer
special weight as a result?  IMO, almost certainly not.  Just
posing the question in that context is an invitation to
inappropriate or disproportionate influence even if the fault
lies with the Nomcom and not the liaison.

IMO, maintaining a clear boundary in this area becomes more
important as Nomcoms (and the community) evolve so that the
Nomcoms are more dependent on questionnaires, interviews, and
feedback rather than Nomcom member personal knowledge of
candidates and their history and behavior.

> BTW there is another aspect of the liaison role: acting as
> part of the checks and balances, by being able to assure the
> confirming bodies that Nomcom has followed correct and
> unbiased procedure. To that extent, liaisons do need to
> witness discussions, without influencing them.
> http://tools.ietf.org/html/rfc7437#section-4.7 actually places
> several specific duties on liaisons that effectively require
> them to track Nomcom discussion quite closely.

And there I believe that the costs of having the liaisons in the
dual role you describe outweigh the advantages.  We have enough
difficulties with confirming bodies second-guessing the Nomcom
-- a check I would not eliminate even though I have seen some of
the invocations of it as problematic -- to not also need the
liaisons _from_ bodies some or all of whose members are
appointed to the Nomcom to also act as either auditors and
witnesses or representatives/liaisons from the Nomcom back to
those bodies.  If the confirming bodies need to as questions
about how the Nomcom worked at the candidate level, let the ask
the Nomcom Chair or, if necessary, meet with the Nomcom and ask
questions of a group, not of an individual who is inherently in
the middle.   The dual role also creates a unique
opportunity/incentive for abuse (even though I have no reason to
believe it has ever occurred) which involves liaisons who want
to influence Nomcom outcomes being barred from doing that by
instructions from their own bodies, the Nomcom Chair, etc.,
turning around and expressing opinions of the results by
reporting back that the procedures were questionable.

If we need an auditing function for Nomcom's following
procedures -- beyond the Chair and former Chair-- we really need
to figure out another way to do that.  And we should also note
that we have no such auditing mechanism for, e.g., the IAOC
which, because of the way some of its membership is appointed,
is much less inherently accountable to the community.   That is
_not_ a criticism of the IAOC, merely an observation of where we
are putting out concerns and energy.

     john

---

From: Russ Housley <[email-masked]>
Date: Fri, 9 Jan 2015 16:46:54 -0500

>   duties, it probably reduces their stress sufficiently that they will live

Allison made this suggestion in her report in March 2014.

It is already too late for the NomCom Chair for appointments in 2016 to be trained by watching the appointment process for this year.

If this idea is agreeable to the community, we have much less than a year to approve an update to BCP 10 to for this to happen for the 2017 leadership appointments.  I heard Allison offer to provide some text.  I think that would be the next step.

Russ

---

From: Michael StJohns <[email-masked]>
Date: Fri, 09 Jan 2015 17:07:22 -0500

>random members of the community are isolated.  

Silly me... I assumed that the confidentiality rules covered this issue.  :-)

Unfortunately, the problem is not limited to the Liaisons and I have no remedy for leaks from the members that would still allow the Nomcom to operate.

The old saw is that "two can keep a secret if one is dead".  With the Nomcom statutorily 10 voting members plus the chair and past chair that participate in all discussions, I'm not sure we're ever going to get a guarantee of secrecy with respect to those discussions.  Adding in the 4 liaisons doesn't - IMO - materially add to the problem.  Yes, they're colleagues with people being discussed, but in the broader sense, all of the Nomcom members are colleagues with all of the candidates.

Ultimately, we're trying to program the behavior of humans.  And that's somewhat more difficult than programming the behavior of cats.    Maybe we just eliminate the cats and eliminate the de jure liaison functions but provide a mechanism for the Nomcom to reach out if necessary to the origanizations on a more ad hoc basis.

Later, Mike

---

From: John C Klensin <[email-masked]>
Date: Fri, 09 Jan 2015 17:10:22 -0500

--On Friday, January 09, 2015 14:03 -0500 Michael Richardson
<[email-masked]> wrote:

> and then for some reason are unable to travel. (Could be
> health, could be inability to get VISAs, could be funding,
> could be children) 
> 
> Once eligible, the rules for remaining eligible would be
> different. I would propose something like having *contributed*
> to at least two meetings in the past four.  We could come up
> with complex or simple rules on what it means to contribute,
> we could automated it, and we can discuss all the ways that
> various rules could be gamed. My ideas for contribution would
> include:
>...

I like this.  A lot.

> Note that I have avoided counting "remote attendance"
> activities specifically, because that would require us to
> figure out who attended and register them, etc. and I don't
> think we are ready for that yet.

I am very sympathetic to (my interpretation of) SM's concern
that there are people who participate sufficiently remotely that
it is clear that the have more knowledge of the type one would
like on the Nomcom then lots of community members who are
eligible under the 3/5 in person rule.  I agree with you that
his formulation isn't quite right and that we aren't ready to
formulate a good rule.  I've also suggested before that, if
someone is going to participate remotely, rather than
attending/lurking remotely, we really need to have them
registered for one of the same reasons we require attendees to
register -- knowing who is influencing standards development is
an important part of an open standardization process and just
can't be done remotely.  But we haven't done that, so the "not
ready" part of your comment is correct.

Let me suggest another way to deal with that combination of
conclusions, which is, IMO, consistent with the above and part
of Stephen's ideas/comments.  Let's assume in this revision
that, longer-term, there may be multiple ways to become Nomcom
eligible, not just a single formula.  Let's adopt something like
your "become eligible and retain eligible" formulation as method
#1.   Then let's be sure that the document can be "updated" by
some possible future thing that lays out remote participation
rules and conventions (again, I don't care about lurkers and
personally think we need to preserve the ability to lurk
anonymously) by specifying criteria for _them_ to be Nomcom
eligible.   

Where I disagree with Stephen is that I don't want bodies who
have members selected by the Nomcom to be able to specific
Nomcom membership criteria or to delegate that job to some
purpose-specific committee.  Even if the actual risks are low,
the optics are terrible and the normal community consensus
procedures should be involved.  But maybe requiring an update to
the BCP but avoiding a requirement to open the base
specification would respond to part --I think the most important
part, but he may disagree-- of that concern.

    john

---

From: Stephen Farrell <[email-masked]>
Date: Fri, 09 Jan 2015 22:24:47 +0000

On 09/01/15 22:10, John C Klensin wrote:
> But maybe requiring an update to

Even if an update to the BCP were needed, I'd still like
this idea. And I guess someone could just write an I-D
that updates section x.y.z only.

My concern is only that x.y.z could get out of date quickly
in the next few years if (as I hope) we get better and
better at the remote thing (and not having been in Hawaii,
that was better than I expected, though hardly any fun
at all).

But probably better to figure out what continued eligibilty
rules we'd like now, and then think about how those might
evolve before we write x.y.z. At that point we should know
better if my concern is worth worrying about or not.

S.

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 10 Jan 2015 11:40:27 +1300

Hi John,

On 10/01/2015 10:45, John C Klensin wrote:
> getting confusingly (at least to me) intermixed.  

Fair comment. But the current BCP does indeed appear to give
the liaisons two distinct jobs bundled under one name. If we are
just going to tinker with the text, we should probably make that much
more explicit than it is now. Or we should separate the two jobs.

> One has to do

Agreed.

> random members of the community are isolated.

That's a defensible viewpoint, but my observation is that it is
incompatible with several of the line items in
http://tools.ietf.org/html/rfc7437#section-4.7, especially the
first one:

   Liaisons are responsible for ensuring the nominating committee in
   general and the Chair in particular execute their assigned duties in
   the best interests of the IETF community.

At least when I was ISOC liaison, the ISOC Board definitely wanted to
be reassured that I had observed the Nomcom to execute the correct
process in an unbiased manner. But that gets hard to do if there
are parts of the materials or discussion that the liaison cannot
observe personally.

> he or she had seen my comments.

Which suggests to me that at a minimum we need to write down
more explicit limits on the liaisons than 'no vote'.

> as appropriate.  

I agree, and I agree that in such a case the liaison's input should
not be given extra weight (so SHOULD occur through the normal
process and not as a liaison communication).

> I note that, as bodies become more open about

Agreed.

> to figure out another way to do that.  

Well, that is the choice: remove many of the liaison duties specified
in RFC 7437 and limit the liaison's view of the Nomcom accordingly,
or leave those duties in place but add some more specific restrictions
on the liaison's participation.

   Brian

> And we should also note

---

From: Russ Housley <[email-masked]>
Date: Fri, 9 Jan 2015 18:00:07 -0500

There was a long discussion of Day Passes in 2010, and it lead to this IESG statement:
http://www.ietf.org/iesg/statement/nomcom-eligibility-and-day-passes.html

In my view, this was the right decision.  We need people that have been exposed to the IETF culture.

Russ

---

From: John C Klensin <[email-masked]>
Date: Fri, 09 Jan 2015 18:47:13 -0500

--On Friday, January 09, 2015 22:24 +0000 Stephen Farrell
<[email-masked]> wrote:

>> specification would respond to part --I think the most
>> important part, but he may disagree-- of that concern.
> 

Having done several meetings remotely in the last few years, in
at least two of which I had to play a leadership role (most
recently that of a remote WG co-chair), I think it is getting
better rather quickly.  I would also agree with "no fun at all"
and suggest that there have been enough nasty glitches that we
are going to need to keep paying attention to the subject,
practicing, and learning what works and doesn't as we go along.

> better if my concern is worth worrying about or not.

I think we are on the same page or close to it.

The other remote participation issue that would need to be
sorted out for Nomcom eligibility and service is that my
impression is that the Nomcom depends a lot on f2f or at least
on having enough members present at key meetings to staff
interviews, etc.  "Has been participating remotely, but can
promise to physically attend several meetings in a row if
selected" would be a rather different requirement from "Has been
participating remotely and intends to participate remotely in
the Nomcom".  Michael and others who have been more directly
involved might want to reflect on that difference and the
feasibility of the second, but that might evolve with remote
participation arrangements too and I'm pretty sure we aren't
ready to make decisions about it now.

    john

---

From: John C Klensin <[email-masked]>
Date: Fri, 09 Jan 2015 20:03:43 -0500

--On Friday, January 09, 2015 17:07 -0500 Michael StJohns
<[email-masked]> wrote:

>> I'm concerned about information flow in the other direction.
>> It has to do with, e.g., liaison participation in actual
>> discussions of individual candidates, particularly in ways
>> that would expose them to community comments about those
>...

I actually as less concerned about leaks than about another
problem.  For leaks, I think the confidentiality rules do apply
and that, if a liaison decided to break them it is probably no
worse than a voting Nomcom member doing so... and we have other
problems.  See below.
>...
> The old saw is that "two can keep a secret if one is dead".
> With the Nomcom statutorily 10 voting members plus the chair
> and past chair that participate in all discussions, I'm not
> sure we're ever going to get a guarantee of secrecy with
> respect to those discussions.  Adding in the 4 liaisons
> doesn't - IMO - materially add to the problem.

Agreed.

One place where that old saw leads is something I can best
illustrate by example.  In the last few years, I've made the
observation several times, not always in jest, that one of the
advantages of running one's own mail servers on one's own
premises is that it acts as a barrier against secret subpoenas.
"Klensin, you are required to supply copies of all of Klensin's
email and not tell Klensin we asked/told you" fails all sorts of
laugh tests in ways that similar instructions to third parties
do not.

I'm going to pick on the IESG for obvious reasons, but similar
issues might apply to the IOAC and some contracts and, with more
indirection, to IAB or even ISOC.  Suppose the liaison gets
unwelcome criticism of one of his (or her) colleagues and/or by
implication, most or all of IESG for not spotting and preventing
particular behavior.  First, the inhibiting effects of the
latter are obvious because, directly or indirectly, the liaison
him/herself is being criticized.  Even without that, there is
the concern that the criticism could cause the liaison's future
(or even current) behavior toward the person submitting the
comment to change in negative ways.  Such a change requires no
violation of the confidentiality policy because nothing about
the Nomcom's discussion has been disclosed to anyone else.   The
confidentiality rules would not be violated even if the liaison,
on some future date, made comments as part of an IESG review of
some document that comments from the person who had made
comments to the Nomcom should be discounted or that the person
didn't have the IETF's or Internet's best interests as
priorities.

I also want to stress again that the use of "chilling effects"
in my first comment about this was very specific.  I'm far less
concerned about actual bad behavior --within the confidentiality
rules or outside them-- than I am about perceptions,
appearances, and consequential negative impact on the range of
comments and information available to the Nomcom.  My concerns
about bad behavior aren't zero, but they are less significant.
I think avoiding those chilling effects is important enough to
make it worth reviewing, and possibly revising, our expectations
about Nomcom - Liaison interactions and flow of information back
to the Liaisons, not just getting more of those expectations
clarified (which I agree with others is also important).

> Ultimately, we're trying to program the behavior of humans.
> And that's somewhat more difficult than programming the
> behavior of cats.

True, but I think this is a red herring.  I don't think the
confidentiality rules need revising or more policing.  I don't
think anyone needs to be reprogrammed or that doing so is really
feasible.  I do believe that the perception of information flow
back to the liaisons inhibits the NomCom from receiving candid
input that it might otherwise receive and find useful.  And I
believe that situation could be improved by a community decision
to isolate liaisons from candidate-specific input from the
community and documenting that decision -- a change that would
require no [re]programming of humans at all, only some
relatively small changes in Nomcom operational procedures.

>     Maybe we just eliminate the cats and
> eliminate the de jure liaison functions but provide a
> mechanism for the Nomcom to reach out if necessary to the
> origanizations on a more ad hoc basis.

Certainly a plausible alternative.

best,
    john

---

From: Loa Andersson <[email-masked]>
Date: Sat, 10 Jan 2015 11:53:29 +0800

Folks,

My concern about "remote" is not so much about elegibility, as if we
actually require that the NomCom members attend the meetings while they
are on the NomCom. Maybe "require" in that sentence should be "strongle
expect", but you get my drift.

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: Eliot Lear <[email-masked]>
Date: Sat, 10 Jan 2015 09:02:23 +0100

Hi,

> better context what was said.

It seems to me that pragmatism needs to be kept in mind.  For one, I'd
like to know if there has been an actual problem where someone (or
better yet someoneS) has actually withheld commentary because of risk of
retribution due to a liaison reading the content.  On top of that, I
wonder if NOMCOM chairs could comment if they ever felt that a liaison
behaved inappropriately.  That is- is there really a problem to fix?  If
not, let's please not add process to deal with nonexistent problems.  If
something becomes a problem we have the means to address it.

Eliot

---

From: John C Klensin <[email-masked]>
Date: Sat, 10 Jan 2015 03:30:11 -0500

--On Saturday, January 10, 2015 09:02 +0100 Eliot Lear
<[email-masked]> wrote:

> It seems to me that pragmatism needs to be kept in mind.  For
> one, I'd like to know if there has been an actual problem
> where someone (or better yet someoneS) has actually withheld
> commentary because of risk of retribution due to a liaison
> reading the content. 

"Retribution" might be a little strong, but, yes, I've been told
of a couple of such cases, including this year.  It would be
unfair to those who told me to identify either the people or the
details, so you will either have to take me word for it or
assume that I'm making it up, as you prefer.

One of the problems with this sort of thing is that, while it
would be possible for someone to write the Nomcom Chair, or
informally tell a Nomcom member or two, that they have not
commented and why, the far more likely reaction, especially in
an environment in which everyone is busy, is for the individuals
to simply say "I don't have time for this, especially with the
risks I think might be involved" to themselves and move on.

FWIW, I don't really think reports that the liaisons were handy
and therefore used to do things that, in a more perfect world,
voting members would have done is very helpful to understanding
what is necessary.  It may mean that other properties of the
existing model don't match the workload and we need to
restructure the Nomcom in other ways.  I note that, when the
current Nomcom model was set up, the IESG was at about a dozen
members as compared to fifteen today and we've added an IAOC
appointment, which adds not only another slot but a completely
different organizational profile that has to be considered.   If
we are suffering from a scaling problem, using liaisons to patch
around it may be the best solution available to Nomcom chairs,
but may not be optimal for the community.

> On top of that, I wonder if NOMCOM 
> chairs could comment if they ever felt that a liaison behaved
> inappropriately.  That is- is there really a problem to fix?
> If not, let's please not add process to deal with nonexistent
> problems.  If something becomes a problem we have the means to
> address it.

While I think information about that would be helpful, I want to
again stress that I'm not really very concerned about violations
of confidentiality, unreasonable attempts to exert inappropriate
influence (even any of those that could not be controlled), etc.
I am worried about chilling effects on input, and that goes back
to the comments above about whether or not a Nomcom chair would
even be aware of specific instances of that situation.

    john

---

From: Michael Richardson <[email-masked]>
Date: Sat, 10 Jan 2015 10:59:13 -0500

> Given that remote participation is likely to continue changing and
    > hopefully improving in the coming years, if we do go down this road I
    > think it'd be good to figure some way to allow the rules for continued
    > eligibility to be changed without having to update the BCP. That could
    > be a task given to the IESG or someone other I* group or the current
    > nomcom could set the rule for the next. I don't care which of those,
    > but maybe the last would be best, as nomcom members may know best
    > what's needed, (though some form of appeal against a nomcom getting
    > themselves all back next year would be needed:-)

That's why I wrote "contribution" --- we could imagine some system of points,
with the datatracker being the scoreboard, but I'm not clear that we need an
particularly complex system or overly restrictive system.

    > Also, if we go there then I'd prefer that we apply that new rule
    > retrospectively as well so folks who were ever nomcom eligible could
    > "re-establish" that via participation any time.  (Unless that caused
    > some tooling problem in checking eligibility after someone volunteers.)

Perhaps one can become ineligible without loosing eligibility for a period
of time... we could have a long integration time...

But, if one totally looses eligibility, then the reason why I think one has
to do more attendance in person is because things *do* change over
time. 3-step vs 2-step.  Creation of IAOC.  Use of jabber+streamed mp3 vs
meetecho vs using multicast and vat.  The rise of webrtc... How much of this
matters to the nomcom, is unclear; but one definitely gets more
cross-polination by being in the hallway, than by being in the hallway chat.

---

From: Avri Doria <[email-masked]>
Date: Sat, 10 Jan 2015 11:50:10 -0500

Hi,
> cross-polination by being in the hallway, than by being in the hallway
chat.

Agree with this.  As someone who stopped attending for a while and is
now attending again - at least intermittently, i did find changes that I
had not perceived while remaining active in a few online efforts.

While one can participate remotely, it is not the same and there is an
essential component of the IETF that is found only in meeting attendance.

avri

---

From: Michael StJohns <[email-masked]>
Date: Sat, 10 Jan 2015 13:33:38 -0500

>particularly complex system or overly restrictive system.

But we do need - my strongly held opinion -  an "objective" one and that's harder to craft with respect to the definition of "contribution".  Whereas simply counting meetings is objective and repeatable.

To be honest, I foresee a spate of throw away IDs being crafted to be counted as contributions and that might not be all that useful for our process.

Later, Mike

---

From: joel jaeggli <[email-masked]>
Date: Sat, 10 Jan 2015 11:27:07 -0800

> It is already too late for the NomCom Chair for appointments in 2016 to be trained by watching the appointment process for this year.

this also increases the duration of the commitment as nomcom chair,
which imho is not ideal.

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 11 Jan 2015 08:30:35 +1300

> To be honest, I foresee a spate of throw away IDs being crafted to be counted as contributions and that might not be all that useful for our process.

Yes, it seems inevitable that any objective criterion that can be met
at low cost will be gamed by people (or companies) that for whatever
reason want to be on Nomcom. Submitting a draft is a very low cost
operation these days. Occupying a formal role in a WG or directorate,
or becoming an IETF-stream RFC author, would be much harder to game.

    Brian

---

From: Dave Crocker <[email-masked]>
Date: Sat, 10 Jan 2015 12:38:47 -0800

...
> In my view, this was the right decision. 

Minor point:

     The IESG is making "decisions" about IETF qualifications for
nomcom?  What hasn't the IESG acquired IETF rough consensus approval for
this?

Major point:

     What IETF-specific knowledge and skills do we expect from Nomcom
members?  How do the current selection criteria increase the likelihood
of meeting that expectation?  Is that increase in likelihood large or small?

     In reality, the basic criterion we currently have often gives us
one or more members with no significant knowledge of IETF management or
process issues.  Periodically, the criterion gives of a nearly complete
slate of such well-intentioned, but naive, voting members.

     If we care about having a slate of voting nomcom members who have
practical knowledge of IETF operation, we need to require that at least
some of Nomcom's voting members have significant, hands-on experience
with important parts of that operations.

    In the current IETF, a filter based solely on meeting attendance
guarantees a significant likelihood of voting members will little-to-no
knowledge of IETF operation.

d/
-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: Michael StJohns <[email-masked]>
Date: Sat, 10 Jan 2015 17:31:22 -0500

At 02:30 PM 1/10/2015, Brian E Carpenter wrote:
>Occupying a formal role in a WG or directorate,

And unfortunately, more subject to oligarchical abuse as those are chosen by the ADs or WG chairs chosen by the ADs.

How about instead:

Everyone who volunteers for Nomcom must have at least 3 certified and approved instances of being a note taker or jabber scribe for a full set of sessions for a specific working group in the past 5 meetings in addition to attending 3 of 5 meetings.  "Approved" means that the notes are complete, correct and readable as viewed by the majority of the WG chairs and editors.  "Certified" means that the WG chair(s) heard you volunteer and noted that in the minutes.   Notes may be taken in any language, but must be translated to English within a month of the end of the IETF meeting.  Multiple note takers may be certified at any given meeting and all notes gleaned from any of them will be added to the meeting record.

The above has the advantage that it is a relatively small bar, it provides a benefit to the IETF, and its annoying enough to discourage the run of the mill gamers from participating.

The phase in is 1, 1, 2, 2, 3 sessions over the next 5 meetings.

Later, Mike

---

From: Eric Burger <[email-masked]>
Date: Sat, 10 Jan 2015 18:16:24 -0500

Let us be realistic. If someone was just on nomcom and they WANT to serve two consecutive terms and be chair, they must not be mentally balanced. No offense to those in the past who did that by choice.

> On Jan 9, 2015, at 2:05 PM, Allison Mankin <[email-masked]> wrote:
> 
> Mike,
> 
> I don't agree with constraining Chairs to past Nomcom voting members.  I think that our voting members have great abilities and insights, but I'd like for the ISOC CEO to have a bigger pool of possible choices, because organizing and executing all the steps of the Nomcom process is extremely demanding and many people either don't feel they could do it, or can't get management support for giving so much time and effort.
> 
> A future chair can make up the numbers as an observer in interviews.  I'm sure the past chair sometimes feels a bit disengaged too, after having had so much work to do, but this isn't a show-stopper.
> 
> Allison
> 
> 
> 
> On 9 January 2015 at 13:49, Michael StJohns <[email-masked] <mailto:[email-masked]>> wrote:

---

From: Michael Richardson <[email-masked]>
Date: Sat, 10 Jan 2015 18:26:57 -0500

Stewart Bryant <[email-masked]> wrote:
    > We would have to be careful with the time constants of the filter.

    > Whilst I can see that virtual attendance (which itself would need a
    > criteria beyond my robot logging me onto the sessions) should slow the

If you look at my proposed list of things that would constitute contribution
(a word I used rather than attendance), none of them involved being logged in
remotely. 

    > Some degree of physical presence is needed to properly understand the
    > roles of those being selected and the culture and operation of an
    > important part of the IETF.

That's why you have to BECOME eligible by being physically present.

---

From: Michael Richardson <[email-masked]>
Date: Sat, 10 Jan 2015 18:37:54 -0500

> I am very sympathetic to (my interpretation of) SM's concern that there
    > are people who participate sufficiently remotely that it is clear that
    > the have more knowledge of the type one would like on the Nomcom then
    > lots of community members who are eligible under the 3/5 in person
    > rule.  I agree with you that his formulation isn't quite right and that

Note: it is really impossible at this stage of remote attendance for nomcom
      to operate with more than 1 remote selecting member.  In effect, all
      of the interviewers really have got to be at the Third Meeting in
      person. (And it's not just about technology, it's also about time
      zones and informal dinners, and all the other things that our
      technology fails at.)
      So the person who is always remote, makes a very poor nomcom member.

    > Where I disagree with Stephen is that I don't want bodies who have
    > members selected by the Nomcom to be able to specific Nomcom membership
    > criteria or to delegate that job to some purpose-specific committee.
    > Even if the actual risks are low, the optics are terrible and the
    > normal community consensus procedures should be involved.  But maybe
    > requiring an update to the BCP but avoiding a requirement to open the
    > base specification would respond to part --I think the most important

So I avoided mentioning remote attendance at all for the simple reason that I
think that when we figure it out, and start registering (some?) people, that
we would absolutely need to put out an UPDATES BCP about it.

So, I think we are in complete agreement; I wonder who objects and why?

---

From: Michael Richardson <[email-masked]>
Date: Sat, 10 Jan 2015 18:40:29 -0500

John C Klensin <[email-masked]> wrote:
    > The other remote participation issue that would need to be sorted out
    > for Nomcom eligibility and service is that my impression is that the
    > Nomcom depends a lot on f2f or at least on having enough members
    > present at key meetings to staff interviews, etc.  "Has been
    > participating remotely, but can promise to physically attend several
    > meetings in a row if selected" would be a rather different requirement
    > from "Has been participating remotely and intends to participate
    > remotely in the Nomcom".  Michael and others who have been more
    > directly involved might want to reflect on that difference and the
    > participation arrangements too and I'm pretty sure we aren't ready to
    > make decisions about it now.

I, and a number of others (Melinda and Joe Abley comes to mind. Joe and I
stayed up all night once trying to make mbone work for us...), throughout the 
naughties, attended around a single meeting a year...

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Sat, 10 Jan 2015 18:05:12 -0600

Inline ...

On Jan 10, 2015 4:31 PM, "Michael StJohns" <[email-masked]> wrote:
> And unfortunately, more subject to oligarchical abuse as those are chosen
by the ADs or WG chairs chosen by the ADs.
>
> How about instead:
>
> Everyone who volunteers for Nomcom must have at least 3 certified and
approved instances of being a note taker or jabber scribe for a full set of
sessions for a specific working group in the past 5 meetings in addition to
attending 3 of 5 meetings.  "Approved" means that the notes are complete,
correct and readable as viewed by the majority of the WG chairs and
editors.  "Certified" means that the WG chair(s) heard you volunteer and
noted that in the minutes.   Notes may be taken in any language, but must
be translated to English within a month of the end of the IETF meeting.
Multiple note takers may be certified at any given meeting and all notes
gleaned from any of them will be added to the meeting record.
>
>
> The above has the advantage that it is a relatively small bar, it
provides a benefit to the IETF, and its annoying enough to discourage the
run of the mill gamers from participating.

Michael, I think you omitted a significant advantage of this specific
proposal - it's something someone DOES, as opposed to something someone IS.

I'm too jet-lagged to think about specifics on the no-doubt excellent
proposals in these threads  (my plane from Shanghai to DFW landed almost
exactly 24 hours ago, and that was my third flight last week), but I'd
encourage folks to think of criteria that requires some beneficial action
to the Internet community rather than simply holding a position.

We do trip over people from time to time who are no longer able to
participate in the IETF, but don't step down from positions until someone
asks them to step down.

Thanks, and best wishes to all of you on an important conversation!

Spencer

---

From: John C Klensin <[email-masked]>
Date: Sat, 10 Jan 2015 20:08:44 -0500

--On Saturday, 10 January, 2015 17:31 -0500 Michael StJohns
<[email-masked]> wrote:

>...
> Everyone who volunteers for Nomcom must have at least 3
> certified and approved instances of being a note taker or
> jabber scribe for a full set of sessions for a specific
> working group in the past 5 meetings in addition to attending
> 3 of 5 meetings.  "Approved" means that the notes are
> complete, correct and readable as viewed by the majority of
> the WG chairs and editors.  "Certified" means that the WG
> chair(s) heard you volunteer and noted that in the minutes.
> Notes may be taken in any language, but must be translated to
> English within a month of the end of the IETF meeting.
> Multiple note takers may be certified at any given meeting and
> all notes gleaned from any of them will be added to the
> meeting record.

> The above has the advantage that it is a relatively small bar,
> it provides a benefit to the IETF, and its annoying enough to
> discourage the run of the mill gamers from participating.

Interesting.  Looking at the volunteer list for the last few
years, I've wondered whether we are developing a collection of
people (or the companies who support their IETF participation)
who would rather be on the Nomcom than do substantive technical
work.  Certainly not all volunteers for the Nomcom are like
that, but I wonder.  It seems to me that the approach above
would help drive some portion of the community toward Nomcom
roles and that conditions needed to get them and away from being
document editors, WG secretaries or chairs, etc.  

I agree with your concern about oligarchies, but I think the
Nomcom model depends on Nomcom members being more or less a
random sample of participants, ideally active participants, in
the IETF.  Changing things to the point that we end up
effectively splitting IETF participation into  a
Nomination-Selection class of people and a Technical Work and
Leadership Role class of people would not be, IMO, beneficial.

    john

---

From: Loa Andersson <[email-masked]>
Date: Sun, 11 Jan 2015 14:01:04 +0800

Michael,

>        So the person who is always remote, makes a very poor nomcom member.

I made a similar comment.

I guess that remote participation to be eligible to serve on the
NomCom is not that contentious, even though I don't see how we
could establish that the remote participation is at a sufficient
level.

On the hand being remote while serving on the NomCom I do not see
as acceptable; modulo that s-t happens and NomCOm memebers can't
travel. The strong expectation should be that NomCom members should
participate in the IETF meetings during the their NomCom term.

/Loa

--

---

From: Michael Richardson <[email-masked]>
Date: Sun, 11 Jan 2015 15:01:47 -0500

Michael StJohns <[email-masked]> wrote:
    >> That's why I wrote "contribution" --- we could imagine some system of
    >> points, with the datatracker being the scoreboard, but I'm not clear
    >> that we need an particularly complex system or overly restrictive
    >> system.

    > But we do need - my strongly held opinion - an "objective" one and
    > that's harder to craft with respect to the definition of
    > "contribution".  Whereas simply counting meetings is objective and
    > repeatable.

    > To be honest, I foresee a spate of throw away IDs being crafted to be
    > counted as contributions and that might not be all that useful for our
    > process.

Yeah, but that's why I wrote that the document uploader (pressed submit) on a
     document that *was scheduled into a WG session*

So, it requires that the WG chair be involved, and thus there is a system of
account.

---

From: Michael Richardson <[email-masked]>
Date: Sun, 11 Jan 2015 15:03:59 -0500

Michael StJohns <[email-masked]> wrote:
    > approved instances of being a note taker or jabber scribe for a full
    > set of sessions for a specific working group in the past 5 meetings in
    > addition to attending 3 of 5 meetings.  "Approved" means that the notes

huh? Why are you making it harder to remain eligible?
Can you jabber scribe or take notes without attending?

    > provides a benefit to the IETF, and its annoying enough to discourage
    > the run of the mill gamers from participating.

---

From: Allison Mankin <[email-masked]>
Date: Sun, 11 Jan 2015 15:11:40 -0500

I like Michael's original suggestion that there should be two meetings in
the last five and if there is not a third, then meeting some other
requirement, a choice of things like attended lots of past meetings, has a
defined role in a wg, ...

Others have noted this, but the two important goals of these criteria are:

Has attained a (minimal)  level of familiarity with IETF

Has a probability of attending in person for the Nomcom activities

Michael has crystallized in other posts the fact that Nomcom really needs
the in person time in order to work together, and IETF teally, critically
needs full attendance if Nomcom during the meeting(s) with interviews,
especially November, for the candidate interviews.

---

From: Avri Doria <[email-masked]>
Date: Sun, 11 Jan 2015 17:05:52 -0500

Hi

As someone who served 2 terms before becoming chair and thus served 4
years in a row, i can state unequivocally that if they weren't unstable
before, they will be after.

The effect of looking at the IESG and IAB (that was all we appointed
when I did it) and knowing that somehow you were responsible in some
part for everyone there was frightening.

I have never fully gotten over it.

On the other hand, i think it is a good idea for someone to have served
on a Nomcom before chairing one, though it does not have to be the
immediately preceding year.  The Nomcom is like little else and shows
you a side of IETF that one might never have seen before or even
realized it existed.  No one should be put into that as chair without
having a clue about what they are gettign involved in.

avri

On 10-Jan-15 18:16, Eric Burger wrote:
> Let us be realistic. If someone was just on nomcom and they WANT to serve two consecutive terms and be
chair, they must not be mentally balanced. No offense to those in the
past who did that by choice.

---

From: Nico Williams <[email-masked]>
Date: Mon, 12 Jan 2015 11:52:18 -0600

> So I would keep the 3/5 in-person meetings to *become* nomcom 

This would be wonderful.  Should this eligibility decay?  For example, I
am probably eligible (to be eligible) by this standard, but it's been a
long time since I attended 3/5 (if I ever did; I'm not sure and I'm not
going to go look it up).

> meetings in the past four.  We could come up with complex or simple

+1.

Having attended at least one (not just with a day pass) of the past
three meetings seems important: so the NOMCOM members have an idea of
who is who, and 1/3 seems feasible for most participants.  Remote
participation is nice and all (it's mostly my mode of participation
lately), but it's not necessarily enough.

When visa or other issues make 1/3 difficult for some participants then
it could be made 1/4.

>   4) scribed for the I* telechats.

Yes, except as to (4): scribing often means *just* that; scribes often
fail to grasp what they are scribing.  (There have been studies about
how typing notes during lectures is much worse than writing notes
long-hand, or short-hand even.  I believe these are likely correct and
apply to scribing IETF meetings too.)

> and register them, etc. and I don't think we are ready for that yet.

Yes.

Nico
--

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Wed, 14 Jan 2015 11:49:41 -0500

> Can you jabber scribe or take notes without attending?

Having been unable to get into jabber for the first couple of days of the
last meeting due to obnoxious changes to Adium that forced me to install a
new client, I am not at all keen on making jabber scribing a criteria.

Making this a criteria would replace one admin chore with another. WG
chairs would have to capture the info and report it. And people would have
to check they got their chit signed for credit or do double Latin prep
before cuppers.

One issue with Michael's original proposal is that if the details of
implementation are not done right it can create problems for verifying
eligibility. And it is not just a matter of the chair of one nomcon handing
a spreadsheet on to the next because a lot of people who are eligible on
attendance grounds are ineligible on other grounds.

So you would probably want to make the IAB and IESG automatics as well just
to save effort (its not like non-appearances are very frequent).

---

From: Michael Richardson <[email-masked]>
Date: Wed, 14 Jan 2015 12:43:39 -0500

{I'm not at all in favour of making jabber scribe a way to contribute.
I don't think you can do it remotely, and if you are already in physical
attendance, then you already are eligible.  I am not trying to make being
eligible harder; but rather more equitable given that travel is often
difficult.
People are not, in general, lining up to volunteer for nomcom}

    > attendance grounds are ineligible on other grounds.

The current tool involves putting an email into a web form and looking at the
results.  I turned that into a perl script with Net::HTTP, and some screen
scraping.  
Then, it involves some back and forth with people who thought that they were
eligible, but were not trivially verifiable, and some additional emails that
they used to register.
The registration system is not, to my knowledge, connected to the datatracker.

While there is a button on the registration form, it does not interlock with
the datatracker; lots of people push that button who have never been to a
meeting, for instance.

So the things that I said: uploading a draft, shepherd'ing a document, being
a WG chair, etc. are things that the datatracker quite clearly already knows
about.

---

From: Nico Williams <[email-masked]>
Date: Wed, 14 Jan 2015 13:47:50 -0600

In what way does scribing help someone be an appropriate choice to be
on the NOMCOM?

In my experience scribing makes it really difficult to participate in
any other way (e.g., in a discussion) for the duration of the scribing
duties.  Not exactly something that adds value to the scriber.

Anyone who can type fast and who can hear well can scribe, but this
says nothing about their knowledge of process, people, issues...  How
much one has scribed seems like a useless metric to me.

Nico
--

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Wed, 14 Jan 2015 16:17:37 -0500

I think the whole notion of qualification is being considered too narrowly.
Michael's original proposal was a good one: open up more participation.

Being on nomcon is in itself a far bigger time sink/commitment than jabber
scribing. It is inconceivable to me that anyone would sign up unless they
were already committed unless the barrier to entry was really low and
ballot stuffing a possibility.

>From what Michael says of the system it appears to me that we could fairly
easily relax the criteria to be 3 out of the last 5, 4 out of the last 7, 5
out of the last 9, etc. which converges on 50%.

The advantage to this approach is that it would be fairly straightforward
to vet while keeping the criteria suggested by Michael. If you were
eligible in 2014 and go to one meeting in 2015 you will probably be
eligible in 2015.

While this does have the odditiy that someone who has attended every
meeting for the past ten years would be eligible for the next ten years
without attending another meeting, that probably does not matter very much
because I really don't think anyone in that situation is likely to
volunteer for Nomcon unless the circumstances are exceptional (e.g. ITU
takeover bid).

I would further suggest that Dave Crocker has raised a rather ugly problem
in that if the IESG has the power to change Nomcon eligibility rules it
leaves us open to a possible takeover as an attacker only needs to subvert
two nomcons in succession.

I would suggest therefore that any changes to the eligibility rules be
subject to ratification by a two thirds majority of those qualified for
participation under the old rules.

---

From: Michael StJohns <[email-masked]>
Date: Wed, 14 Jan 2015 19:29:08 -0500

>In what way does scribing help someone be an appropriate choice to be

Unlike some ID submissions, the scriber is performing a service of benefit to the IETF as a whole.  :-)   And anyone who can't give up a couple of hours to scribe is unlikely to be a great participant in the Nomcom.

Seriously,  what I would hope would happen is that person who is interested (participating, writing, throwing stones) in WG A, but only peripherally interested in WG B volunteer to scribe WG B rather than (as you point out) get distracted in WG A.  Thus allowing the WG B interested people to write/throw stones/hum without needing to come up with a scribe.

I wrote privately to someone that this proposal was more or less a throwaway.  I put it in because two threads had combined in a really interesting way - the "we need more Nomcom volunteers so we should think of a way to make it easier to volunteer" and the "we need 'qualified' volunteers so we should come up with a criteria that includes 'contributing'" threads.    

I tend to identify with the "qualified volunteer" school, but I'm at a loss for coming up with criteria that is a) objective, b) non-exclusive (in that you don't need to have a WG or AD chair pick you for a long term position or where so few positions are available that the pool gets painfully limited) and c) evidences "qualification".

Having someone willing to give up some of their time at the IETF to help out as a scribe met (a) and (b).  For (c) it isn't exactly qualification, but it does help in obtaining broader knowledge of the IETF process IMHO.

As I said, it was a throwaway and we really don't need to continue.  Frankly, I don't like any of the proposals I've heard.

Later, Mike

---

From: t.p. <[email-masked]>
Date: Thu, 15 Jan 2015 10:07:28 +0000

----- Original Message -----
From: "Nico Williams" <[email-masked]>
To: "Michael StJohns" <[email-masked]>
Cc: "Michael Richardson" <[email-masked]>; "ietf" <[email-masked]>
Sent: Wednesday, January 14, 2015 7:47 PM

Nico

I have scribed for other organisations and doing it well means being
transparent to what everyone else is saying, that is, you set yourself
aside and really concentrate on and listen to others.  In doing so, you
pick up everyone else's point of view and learn a lot too about the
organisation and how that part of it works.

By contrast, a participant has their own agenda which will always get in
the way of hearing others properly. (Chairmen should never write I-Ds:-)

So scribing is difficult, requires self-discipline but can teach a lot.

I do not however see it as particularly relevant to NonCom except in so
far as the person is present and engaged.

Tom Petch

---

From: Michael StJohns <[email-masked]>
Date: Thu, 15 Jan 2015 20:22:43 -0500

>far as the person is present and engaged.

I would *kill* for a Nomcom member that is present and engaged... :-)

Mike

---

From: Nico Williams <[email-masked]>
Date: Thu, 15 Jan 2015 21:14:00 -0600

On Wed, Jan 14, 2015 at 07:29:08PM -0500, Michael StJohns wrote:
> Unlike some ID submissions, the scriber is performing a service of
> benefit to the IETF as a whole.  :-)   And anyone who can't give up a
> couple of hours to scribe is unlikely to be a great participant in the
> Nomcom.
> 
> Seriously,  what I would hope would happen is that person who is
> interested (participating, writing, throwing stones) in WG A, but only
> peripherally interested in WG B volunteer to scribe WG B rather than
> (as you point out) get distracted in WG A.  Thus allowing the WG B
> interested people to write/throw stones/hum without needing to come up
> with a scribe.
>
> [...]

OK, scribing is evidence that the participant is willing to volunteer.
And if the volunteer does as you say, then they make a great candidate.

Nico
--